Index: validation/DelphesValidation.cpp
===================================================================
--- validation/DelphesValidation.cpp	(revision 5107603364acdad8e994549206002d7247bab770)
+++ validation/DelphesValidation.cpp	(revision 6455202899ab4afd733c9cc0b4d78dd392cbb843)
@@ -17,36 +17,35 @@
  */
 
-
 #include <iostream>
+#include <typeinfo>
 #include <utility>
 #include <vector>
-#include <typeinfo>
-
+
+#include "TApplication.h"
 #include "TROOT.h"
 #include "TSystem.h"
-#include "TApplication.h"
 
 #include "TString.h"
 
+#include "TCanvas.h"
+#include "TClonesArray.h"
+#include "TGraph.h"
+#include "TGraphErrors.h"
 #include "TH1.h"
 #include "TH2.h"
-#include "TMath.h"
-#include "TStyle.h"
-#include "TGraph.h"
-#include "TCanvas.h"
 #include "THStack.h"
 #include "TLegend.h"
+#include "TLorentzVector.h"
+#include "TMath.h"
+#include "TMultiGraph.h"
 #include "TPaveText.h"
-#include "TClonesArray.h"
-#include "TLorentzVector.h"
-#include "TGraphErrors.h"
-#include "TMultiGraph.h"
+#include "TStyle.h"
 
 #include "classes/DelphesClasses.h"
 
+#include "ExRootAnalysis/ExRootResult.h"
+#include "ExRootAnalysis/ExRootTreeBranch.h"
 #include "ExRootAnalysis/ExRootTreeReader.h"
 #include "ExRootAnalysis/ExRootTreeWriter.h"
-#include "ExRootAnalysis/ExRootTreeBranch.h"
-#include "ExRootAnalysis/ExRootResult.h"
 #include "ExRootAnalysis/ExRootUtilities.h"
 
@@ -82,8 +81,7 @@
 unsigned int k;
 
-
 struct resolPlot
 {
-  TH1* resolHist;
+  TH1 *resolHist;
   double ptmin;
   double ptmax;
@@ -99,7 +97,6 @@
   void set(double ptdown, double ptup, TString object, double xmin = 0, double xmax = 2);
   void set(double etadown, double etaup, double ptdown, double ptup, TString object, double xmin = 0, double xmax = 2);
-  void print(){std::cout << ptmin << std::endl;}
+  void print() { std::cout << ptmin << std::endl; }
 };
-
 
 resolPlot::resolPlot()
@@ -109,5 +106,5 @@
 resolPlot::resolPlot(double ptdown, double ptup, TString object)
 {
-  this->set(ptdown,ptup,object);
+  this->set(ptdown, ptup, object);
 }
 
@@ -123,5 +120,5 @@
   obj = object;
 
-  resolHist = new TH1D(obj+"_delta_pt_"+Form("%4.2f",ptmin)+"_"+Form("%4.2f",ptmax), obj+"_delta_pt_"+Form("%4.2f",ptmin)+"_"+Form("%4.2f",ptmax), 1000,  xmin, xmax);
+  resolHist = new TH1D(obj + "_delta_pt_" + Form("%4.2f", ptmin) + "_" + Form("%4.2f", ptmax), obj + "_delta_pt_" + Form("%4.2f", ptmin) + "_" + Form("%4.2f", ptmax), 1000, xmin, xmax);
 }
 
@@ -134,8 +131,6 @@
   obj = object;
 
-  resolHist = new TH1D(obj+"_delta_pt_"+Form("%4.2f",ptmin)+"_"+Form("%4.2f",ptmax)+"_"+Form("%4.2f",etamin)+"_"+Form("%4.2f",etamax), obj+"_delta_pt_"+Form("%4.2f",ptmin)+"_"+Form("%4.2f",ptmax)+"_"+Form("%4.2f",etamin)+"_"+Form("%4.2f",etamax), 1000,  xmin, xmax);
+  resolHist = new TH1D(obj + "_delta_pt_" + Form("%4.2f", ptmin) + "_" + Form("%4.2f", ptmax) + "_" + Form("%4.2f", etamin) + "_" + Form("%4.2f", etamax), obj + "_delta_pt_" + Form("%4.2f", ptmin) + "_" + Form("%4.2f", ptmax) + "_" + Form("%4.2f", etamin) + "_" + Form("%4.2f", etamax), 1000, xmin, xmax);
 }
-
-
 
 void HistogramsCollection(std::vector<resolPlot> *histos, double ptmin, double ptmax, TString obj, double xmin = 0, double xmax = 2)
@@ -146,14 +141,13 @@
   resolPlot ptemp;
 
-  for (int i = 0; i < Nbins; i++)
+  for(int i = 0; i < Nbins; i++)
   {
     width = (ptmax - ptmin) / Nbins;
-    ptdown = TMath::Power(10,ptmin + i * width );
-    ptup = TMath::Power(10,ptmin + (i+1) * width );
+    ptdown = TMath::Power(10, ptmin + i * width);
+    ptup = TMath::Power(10, ptmin + (i + 1) * width);
     ptemp.set(ptdown, ptup, obj, xmin, xmax);
     histos->push_back(ptemp);
   }
 }
-
 
 void HistogramsCollectionVsEta(std::vector<resolPlot> *histos, double etamin, double etamax, double ptmin, double ptmax, TString obj, double xmin = 0, double xmax = 2)
@@ -164,9 +158,9 @@
   double etaup;
 
-  for (int i = 0; i < Nbins; i++)
+  for(int i = 0; i < Nbins; i++)
   {
     width = (etamax - etamin) / Nbins;
     etadown = etamin + i * width;
-    etaup = etamin + (i+1) * width;
+    etaup = etamin + (i + 1) * width;
 
     ptemp.set(etadown, etaup, ptmin, ptmax, obj, xmin, xmax);
@@ -175,5 +169,4 @@
 }
 
-
 //------------------------------------------------------------------------------
 
@@ -183,5 +176,5 @@
 //------------------------------------------------------------------------------
 
-void BinLogX(TH1*h)
+void BinLogX(TH1 *h)
 {
   TAxis *axis = h->GetXaxis();
@@ -193,5 +186,5 @@
   Axis_t *new_bins = new Axis_t[bins + 1];
 
-  for (int i = 0; i <= bins; i++)
+  for(int i = 0; i <= bins; i++)
   {
     new_bins[i] = TMath::Power(10, from + i * width);
@@ -201,12 +194,11 @@
 }
 
-
 //------------------------------------------------------------------------------
 
-template<typename T>
-TH1D* GetEffPt(TClonesArray *branchReco, TClonesArray *branchParticle, TString name, int pdgID, double ptmin, double ptmax, double etamin, double etamax, ExRootTreeReader *treeReader)
+template <typename T>
+TH1D *GetEffPt(TClonesArray *branchReco, TClonesArray *branchParticle, TString name, int pdgID, double ptmin, double ptmax, double etamin, double etamax, ExRootTreeReader *treeReader)
 {
 
-  cout << "** Computing Efficiency of reconstructing "<< branchReco->GetName() << " induced by " << branchParticle->GetName() << " with PID " << pdgID << endl;
+  cout << "** Computing Efficiency of reconstructing " << branchReco->GetName() << " induced by " << branchParticle->GetName() << " with PID " << pdgID << endl;
 
   Long64_t allEntries = treeReader->GetEntries();
@@ -223,6 +215,6 @@
   Int_t i, j;
 
-  TH1D *histGenPt = new TH1D(name+" gen spectra Pt",name+" gen spectra cen", Nbins, TMath::Log10(ptmin), TMath::Log10(ptmax));
-  TH1D *histRecoPt = new TH1D(name+" reco spectra Pt",name+" reco spectra cen", Nbins, TMath::Log10(ptmin), TMath::Log10(ptmax));
+  TH1D *histGenPt = new TH1D(name + " gen spectra Pt", name + " gen spectra cen", Nbins, TMath::Log10(ptmin), TMath::Log10(ptmax));
+  TH1D *histRecoPt = new TH1D(name + " reco spectra Pt", name + " reco spectra cen", Nbins, TMath::Log10(ptmin), TMath::Log10(ptmax));
 
   histGenPt->SetDirectory(0);
@@ -242,16 +234,15 @@
     {
 
-      particle = (GenParticle*) branchParticle->At(i);
+      particle = (GenParticle *)branchParticle->At(i);
       genMomentum = particle->P4();
 
       deltaR = 999;
 
-      pt  = genMomentum.Pt();
+      pt = genMomentum.Pt();
       eta = TMath::Abs(genMomentum.Eta());
 
-
-      if(eta > etamax || eta < etamin ) continue;
-
-      if (particle->PID == pdgID && genMomentum.Pt() > ptmin && genMomentum.Pt() < ptmax )
+      if(eta > etamax || eta < etamin) continue;
+
+      if(particle->PID == pdgID && genMomentum.Pt() > ptmin && genMomentum.Pt() < ptmax)
       //if (TMath::Abs(particle->PID) == pdgID && (particle->Status>20 && particle->Status <30) && genMomentum.Pt() > ptmin && genMomentum.Pt() < ptmax )
       {
@@ -259,9 +250,7 @@
         for(j = 0; j < branchReco->GetEntriesFast(); ++j)
         {
-          recoObj = (T*)branchReco->At(j);
+          recoObj = (T *)branchReco->At(j);
           recoMomentum = recoObj->P4();
-        //if(Momentum.Px() == 0 && genMomentum.Py() == 0) continue;
-
-
+          //if(Momentum.Px() == 0 && genMomentum.Py() == 0) continue;
 
           // take the closest parton candidate
@@ -269,19 +258,19 @@
           {
             Jet *jet = (Jet *)recoObj;
-            if( !(jet->BTag & (1 << 0)) ) continue;
+            if(!(jet->BTag & (1 << 0))) continue;
 
             //if(jet->BTag != ) continue;
           }
 
-            if(TMath::Abs(pdgID) == 4)
+          if(TMath::Abs(pdgID) == 4)
           {
             Jet *jet = (Jet *)recoObj;
-            if( !(jet->BTag & (1 << 0)) ) continue;
+            if(!(jet->BTag & (1 << 0))) continue;
           }
 
-	    if(TMath::Abs(pdgID) == 1)
+          if(TMath::Abs(pdgID) == 1)
           {
             Jet *jet = (Jet *)recoObj;
-	    if( !(jet->BTag & (1 << 0)) ) continue;
+            if(!(jet->BTag & (1 << 0))) continue;
           }
 
@@ -291,5 +280,4 @@
             if(jet->TauTag != 1) continue;
           }
-
 
           if(genMomentum.DeltaR(recoMomentum) < deltaR)
@@ -300,6 +288,8 @@
         }
         histGenPt->Fill(pt);
-        if(deltaR < 0.3 && bestRecoMomentum.Pt()> 0.20*pt ) { histRecoPt->Fill(pt);}
-
+        if(deltaR < 0.3 && bestRecoMomentum.Pt() > 0.20 * pt)
+        {
+          histRecoPt->Fill(pt);
+        }
       }
     }
@@ -315,10 +305,9 @@
 }
 
-
-template<typename T>
-TH1D* GetEffEta(TClonesArray *branchReco, TClonesArray *branchParticle, TString name, int pdgID, double ptmin, double ptmax, double etamin, double etamax, ExRootTreeReader *treeReader)
+template <typename T>
+TH1D *GetEffEta(TClonesArray *branchReco, TClonesArray *branchParticle, TString name, int pdgID, double ptmin, double ptmax, double etamin, double etamax, ExRootTreeReader *treeReader)
 {
 
-  cout << "** Computing Efficiency of reconstructing "<< branchReco->GetName() << " induced by " << branchParticle->GetName() << " with PID " << pdgID << endl;
+  cout << "** Computing Efficiency of reconstructing " << branchReco->GetName() << " induced by " << branchParticle->GetName() << " with PID " << pdgID << endl;
 
   Long64_t allEntries = treeReader->GetEntries();
@@ -335,6 +324,6 @@
   Int_t i, j;
 
-  TH1D *histGenEta = new TH1D(name+" gen spectra Eta",name+" gen spectra", Nbins, etamin, etamax);
-  TH1D *histRecoEta = new TH1D(name+" reco spectra Eta",name+" reco spectra", Nbins, etamin, etamax);
+  TH1D *histGenEta = new TH1D(name + " gen spectra Eta", name + " gen spectra", Nbins, etamin, etamax);
+  TH1D *histRecoEta = new TH1D(name + " reco spectra Eta", name + " reco spectra", Nbins, etamin, etamax);
 
   histGenEta->SetDirectory(0);
@@ -351,15 +340,15 @@
     {
 
-      particle = (GenParticle*) branchParticle->At(i);
+      particle = (GenParticle *)branchParticle->At(i);
       genMomentum = particle->P4();
 
       deltaR = 999;
 
-      pt  = genMomentum.Pt();
+      pt = genMomentum.Pt();
       eta = genMomentum.Eta();
 
-      if(pt > ptmax || pt < ptmin ) continue;
-
-      if (particle->PID == pdgID && genMomentum.Pt() > ptmin && genMomentum.Pt() < ptmax )
+      if(pt > ptmax || pt < ptmin) continue;
+
+      if(particle->PID == pdgID && genMomentum.Pt() > ptmin && genMomentum.Pt() < ptmax)
       //if (TMath::Abs(particle->PID) == pdgID && (particle->Status>20 && particle->Status <30) && genMomentum.Pt() > ptmin && genMomentum.Pt() < ptmax )
       {
@@ -367,9 +356,9 @@
         for(j = 0; j < branchReco->GetEntriesFast(); ++j)
         {
-          recoObj = (T*)branchReco->At(j);
+          recoObj = (T *)branchReco->At(j);
           recoMomentum = recoObj->P4();
           // this is simply to avoid warnings from initial state particle
           // having infite rapidity ...
-        //if(Momentum.Px() == 0 && genMomentum.Py() == 0) continue;
+          //if(Momentum.Px() == 0 && genMomentum.Py() == 0) continue;
 
           // take the closest parton candidate
@@ -377,6 +366,5 @@
           {
             Jet *jet = (Jet *)recoObj;
-            if( !(jet->BTag & (1 << 0)) ) continue;
-
+            if(!(jet->BTag & (1 << 0))) continue;
           }
 
@@ -384,11 +372,11 @@
           {
             Jet *jet = (Jet *)recoObj;
-            if( !(jet->BTag & (1 << 0)) ) continue;
+            if(!(jet->BTag & (1 << 0))) continue;
           }
 
-           if(TMath::Abs(pdgID) == 1)
+          if(TMath::Abs(pdgID) == 1)
           {
             Jet *jet = (Jet *)recoObj;
-            if( !(jet->BTag & (1 << 0)) ) continue;
+            if(!(jet->BTag & (1 << 0))) continue;
           }
 
@@ -406,6 +394,8 @@
 
         histGenEta->Fill(eta);
-        if(deltaR < 0.3) { histRecoEta->Fill(eta); }
-
+        if(deltaR < 0.3)
+        {
+          histRecoEta->Fill(eta);
+        }
       }
     }
@@ -421,12 +411,11 @@
 }
 
-
 //------------------------------------------------------------------------------
 
-template<typename T>
-TH1D* GetJetEffPt(TClonesArray *branchJet, TString name, int pdgID, double ptmin, double ptmax, double etamin, double etamax, ExRootTreeReader *treeReader)
+template <typename T>
+TH1D *GetJetEffPt(TClonesArray *branchJet, TString name, int pdgID, double ptmin, double ptmax, double etamin, double etamax, ExRootTreeReader *treeReader)
 {
 
-  cout << "** Computing Efficiency of reconstructing "<< branchJet->GetName() << " with PID " << pdgID << endl;
+  cout << "** Computing Efficiency of reconstructing " << branchJet->GetName() << " with PID " << pdgID << endl;
 
   Long64_t allEntries = treeReader->GetEntries();
@@ -441,6 +430,6 @@
   Int_t j;
 
-  TH1D *histGenPt = new TH1D(name+" gen spectra Pt",name+" gen spectra cen", Nbins, TMath::Log10(ptmin), TMath::Log10(ptmax));
-  TH1D *histRecoPt = new TH1D(name+" reco spectra Pt",name+" reco spectra cen", Nbins, TMath::Log10(ptmin), TMath::Log10(ptmax));
+  TH1D *histGenPt = new TH1D(name + " gen spectra Pt", name + " gen spectra cen", Nbins, TMath::Log10(ptmin), TMath::Log10(ptmax));
+  TH1D *histRecoPt = new TH1D(name + " reco spectra Pt", name + " reco spectra cen", Nbins, TMath::Log10(ptmin), TMath::Log10(ptmax));
 
   histGenPt->SetDirectory(0);
@@ -459,23 +448,23 @@
     for(j = 0; j < branchJet->GetEntriesFast(); ++j)
     {
-      recoObj = (T*)branchJet->At(j);
+      recoObj = (T *)branchJet->At(j);
       recoMomentum = recoObj->P4();
-      pt =   recoMomentum.Pt();      
+      pt = recoMomentum.Pt();
       eta = TMath::Abs(recoMomentum.Eta());
       Jet *jet = (Jet *)recoObj;
-          
-      if(eta > etamax || eta < etamin ) continue;
+
+      if(eta > etamax || eta < etamin) continue;
       if(pt < ptmin || pt > ptmax) continue;
-      
+
       Int_t flavor = jet->Flavor;
       if(flavor == 21) flavor = 0;
-    
+
       if(TMath::Abs(pdgID) == 1)
       {
-        
+
         if(flavor < 4)
         {
           histGenPt->Fill(pt);
-          if( jet->BTag & (1 << 0) ) histRecoPt->Fill(pt);
+          if(jet->BTag & (1 << 0)) histRecoPt->Fill(pt);
         }
       }
@@ -485,5 +474,5 @@
         {
           histGenPt->Fill(pt);
-          if( jet->BTag & (1 << 0) ) histRecoPt->Fill(pt);
+          if(jet->BTag & (1 << 0)) histRecoPt->Fill(pt);
         }
       }
@@ -493,9 +482,8 @@
         {
           histGenPt->Fill(pt);
-          if( jet->BTag & (1 << 0) ) histRecoPt->Fill(pt);
+          if(jet->BTag & (1 << 0)) histRecoPt->Fill(pt);
         }
       }
-   }
-
+    }
   }
 
@@ -511,9 +499,9 @@
 // ------------------------------------------------------------------------------------------------------------------------------------------------------
 
-template<typename T>
-TH1D* GetJetEffEta(TClonesArray *branchJet, TString name, int pdgID, double ptmin, double ptmax, double etamin, double etamax, ExRootTreeReader *treeReader)
+template <typename T>
+TH1D *GetJetEffEta(TClonesArray *branchJet, TString name, int pdgID, double ptmin, double ptmax, double etamin, double etamax, ExRootTreeReader *treeReader)
 {
 
-  cout << "** Computing Efficiency of reconstructing "<< branchJet->GetName() << " with PID " << pdgID << endl;
+  cout << "** Computing Efficiency of reconstructing " << branchJet->GetName() << " with PID " << pdgID << endl;
 
   Long64_t allEntries = treeReader->GetEntries();
@@ -528,6 +516,6 @@
   Int_t j;
 
-  TH1D *histGenEta = new TH1D(name+" gen spectra Eta",name+" gen spectra", Nbins, etamin, etamax);
-  TH1D *histRecoEta = new TH1D(name+" reco spectra Eta",name+" reco spectra", Nbins, etamin, etamax);
+  TH1D *histGenEta = new TH1D(name + " gen spectra Eta", name + " gen spectra", Nbins, etamin, etamax);
+  TH1D *histRecoEta = new TH1D(name + " reco spectra Eta", name + " reco spectra", Nbins, etamin, etamax);
 
   histGenEta->SetDirectory(0);
@@ -542,22 +530,22 @@
     for(j = 0; j < branchJet->GetEntriesFast(); ++j)
     {
-      recoObj = (T*)branchJet->At(j);
+      recoObj = (T *)branchJet->At(j);
       recoMomentum = recoObj->P4();
-      pt =   recoMomentum.Pt();      
+      pt = recoMomentum.Pt();
       eta = recoMomentum.Eta();
       Jet *jet = (Jet *)recoObj;
-          
-      if(eta > etamax || eta < etamin ) continue;
+
+      if(eta > etamax || eta < etamin) continue;
       if(pt < ptmin || pt > ptmax) continue;
-      
+
       Int_t flavor = jet->Flavor;
       if(flavor == 21) flavor = 0;
-         
+
       if(TMath::Abs(pdgID) == 1)
       {
-        if(flavor  == 1 || flavor == 21)
+        if(flavor == 1 || flavor == 21)
         {
           histGenEta->Fill(eta);
-          if( jet->BTag & (1 << 0) ) histRecoEta->Fill(eta);
+          if(jet->BTag & (1 << 0)) histRecoEta->Fill(eta);
         }
       }
@@ -567,5 +555,5 @@
         {
           histGenEta->Fill(eta);
-          if( jet->BTag & (1 << 0) ) histRecoEta->Fill(eta);
+          if(jet->BTag & (1 << 0)) histRecoEta->Fill(eta);
         }
       }
@@ -575,11 +563,9 @@
         {
           histGenEta->Fill(eta);
-          if( jet->BTag & (1 << 0) ) histRecoEta->Fill(eta);
+          if(jet->BTag & (1 << 0)) histRecoEta->Fill(eta);
         }
       }
-   }
-
-  }
-
+    }
+  }
 
   histRecoEta->Sumw2();
@@ -592,12 +578,11 @@
 }
 
-
 // -----------------------------------------------------------------------------------------------------------------------------------------------------
 
-template<typename T>
-TH1D* GetTauEffPt(TClonesArray *branchReco, TClonesArray *branchParticle, TString name, int pdgID, double ptmin, double ptmax, double etamin, double etamax, ExRootTreeReader *treeReader)
+template <typename T>
+TH1D *GetTauEffPt(TClonesArray *branchReco, TClonesArray *branchParticle, TString name, int pdgID, double ptmin, double ptmax, double etamin, double etamax, ExRootTreeReader *treeReader)
 {
 
-  cout << "** Computing Efficiency of reconstructing "<< branchReco->GetName() << " induced by " << branchParticle->GetName() << " with PID " << pdgID << endl;
+  cout << "** Computing Efficiency of reconstructing " << branchReco->GetName() << " induced by " << branchParticle->GetName() << " with PID " << pdgID << endl;
 
   Long64_t allEntries = treeReader->GetEntries();
@@ -614,6 +599,6 @@
   Int_t i, j;
 
-  TH1D *histGenPt = new TH1D(name+" gen spectra Pt",name+" gen spectra cen", Nbins, TMath::Log10(ptmin), TMath::Log10(ptmax));
-  TH1D *histRecoPt = new TH1D(name+" reco spectra Pt",name+" reco spectra cen", Nbins, TMath::Log10(ptmin), TMath::Log10(ptmax));
+  TH1D *histGenPt = new TH1D(name + " gen spectra Pt", name + " gen spectra cen", Nbins, TMath::Log10(ptmin), TMath::Log10(ptmax));
+  TH1D *histRecoPt = new TH1D(name + " reco spectra Pt", name + " reco spectra cen", Nbins, TMath::Log10(ptmin), TMath::Log10(ptmax));
 
   histGenPt->SetDirectory(0);
@@ -633,20 +618,20 @@
     {
 
-      particle = (GenParticle*) branchParticle->At(i);
+      particle = (GenParticle *)branchParticle->At(i);
       genMomentum = particle->P4();
 
       deltaR = 999;
 
-      pt  = genMomentum.Pt();
+      pt = genMomentum.Pt();
       eta = TMath::Abs(genMomentum.Eta());
 
-      if(eta > etamax || eta < etamin ) continue;
-
-      if (particle->PID == pdgID && genMomentum.Pt() > ptmin && genMomentum.Pt() < ptmax )
+      if(eta > etamax || eta < etamin) continue;
+
+      if(particle->PID == pdgID && genMomentum.Pt() > ptmin && genMomentum.Pt() < ptmax)
       {
         // Loop over all reco object in event
         for(j = 0; j < branchReco->GetEntriesFast(); ++j)
         {
-          recoObj = (T*)branchReco->At(j);
+          recoObj = (T *)branchReco->At(j);
           recoMomentum = recoObj->P4();
           // this is simply to avoid warnings from initial state particle
@@ -657,5 +642,5 @@
           {
             Jet *jet = (Jet *)recoObj;
-            if( jet->TauTag != 1 ) continue;
+            if(jet->TauTag != 1) continue;
           }
 
@@ -674,6 +659,8 @@
 
         histGenPt->Fill(pt);
-        if(deltaR < 0.3) { histRecoPt->Fill(pt); }
-
+        if(deltaR < 0.3)
+        {
+          histRecoPt->Fill(pt);
+        }
       }
     }
@@ -683,17 +670,16 @@
   histGenPt->Sumw2();
 
-
   histRecoPt->Divide(histGenPt);
   histRecoPt->Scale(100.);
-  if(TMath::Abs(pdgID) == 15) histRecoPt->Scale(1/0.648);
+  if(TMath::Abs(pdgID) == 15) histRecoPt->Scale(1 / 0.648);
 
   return histRecoPt;
 }
 
-template<typename T>
-TH1D* GetTauEffEta(TClonesArray *branchReco, TClonesArray *branchParticle, TString name, int pdgID, double ptmin, double ptmax, double etamin, double etamax, ExRootTreeReader *treeReader)
+template <typename T>
+TH1D *GetTauEffEta(TClonesArray *branchReco, TClonesArray *branchParticle, TString name, int pdgID, double ptmin, double ptmax, double etamin, double etamax, ExRootTreeReader *treeReader)
 {
 
-  cout << "** Computing Efficiency of reconstructing "<< branchReco->GetName() << " induced by " << branchParticle->GetName() << " with PID " << pdgID << endl;
+  cout << "** Computing Efficiency of reconstructing " << branchReco->GetName() << " induced by " << branchParticle->GetName() << " with PID " << pdgID << endl;
 
   Long64_t allEntries = treeReader->GetEntries();
@@ -710,6 +696,6 @@
   Int_t i, j;
 
-  TH1D *histGenEta = new TH1D(name+" gen spectra Eta",name+" gen spectra", Nbins, etamin, etamax);
-  TH1D *histRecoEta = new TH1D(name+" reco spectra Eta",name+" reco spectra", Nbins, etamin, etamax);
+  TH1D *histGenEta = new TH1D(name + " gen spectra Eta", name + " gen spectra", Nbins, etamin, etamax);
+  TH1D *histRecoEta = new TH1D(name + " reco spectra Eta", name + " reco spectra", Nbins, etamin, etamax);
 
   histGenEta->SetDirectory(0);
@@ -726,29 +712,29 @@
     {
 
-      particle = (GenParticle*) branchParticle->At(i);
+      particle = (GenParticle *)branchParticle->At(i);
       genMomentum = particle->P4();
 
       deltaR = 999;
 
-      pt  = genMomentum.Pt();
+      pt = genMomentum.Pt();
       eta = genMomentum.Eta();
 
-      if(pt > ptmax || pt < ptmin ) continue;
-
-      if (particle->PID == pdgID && genMomentum.Pt() > ptmin && genMomentum.Pt() < ptmax )
+      if(pt > ptmax || pt < ptmin) continue;
+
+      if(particle->PID == pdgID && genMomentum.Pt() > ptmin && genMomentum.Pt() < ptmax)
       {
         // Loop over all reco object in event
         for(j = 0; j < branchReco->GetEntriesFast(); ++j)
         {
-          recoObj = (T*)branchReco->At(j);
+          recoObj = (T *)branchReco->At(j);
           recoMomentum = recoObj->P4();
           // this is simply to avoid warnings from initial state particle
           // having infite rapidity ...
-        //if(Momentum.Px() == 0 && genMomentum.Py() == 0) continue;
-
-         if(TMath::Abs(pdgID) == 1)
+          //if(Momentum.Px() == 0 && genMomentum.Py() == 0) continue;
+
+          if(TMath::Abs(pdgID) == 1)
           {
             Jet *jet = (Jet *)recoObj;
-            if( jet->TauTag != 1 ) continue;
+            if(jet->TauTag != 1) continue;
           }
 
@@ -767,6 +753,8 @@
 
         histGenEta->Fill(eta);
-        if(deltaR < 0.3) { histRecoEta->Fill(eta); }
-
+        if(deltaR < 0.3)
+        {
+          histRecoEta->Fill(eta);
+        }
       }
     }
@@ -778,11 +766,10 @@
   histRecoEta->Divide(histGenEta);
   histRecoEta->Scale(100.);
-  if(TMath::Abs(pdgID) == 15) histRecoEta->Scale(1/0.648);
+  if(TMath::Abs(pdgID) == 15) histRecoEta->Scale(1 / 0.648);
 
   return histRecoEta;
 }
 
-
-template<typename T>
+template <typename T>
 void GetPtres(std::vector<resolPlot> *histos, TClonesArray *branchReco, TClonesArray *branchParticle, int pdgID, Double_t etaMin, Double_t etaMax, ExRootTreeReader *treeReader)
 {
@@ -792,5 +779,5 @@
 
   GenParticle *particle;
-  T* recoObj;
+  T *recoObj;
 
   TLorentzVector recoMomentum, genMomentum, bestGenMomentum;
@@ -811,14 +798,14 @@
     for(i = 0; i < branchReco->GetEntriesFast(); ++i)
     {
-      recoObj = (T*) branchReco->At(i);
+      recoObj = (T *)branchReco->At(i);
       recoMomentum = recoObj->P4();
 
       deltaR = 999;
 
-     // Loop over all hard partons in event
-     for(j = 0; j < branchParticle->GetEntriesFast(); ++j)
-     {
-        particle = (GenParticle*) branchParticle->At(j);
-        if (particle->PID == pdgID && particle->Status == 1)
+      // Loop over all hard partons in event
+      for(j = 0; j < branchParticle->GetEntriesFast(); ++j)
+      {
+        particle = (GenParticle *)branchParticle->At(j);
+        if(particle->PID == pdgID && particle->Status == 1)
         {
           genMomentum = particle->P4();
@@ -831,6 +818,6 @@
           if(genMomentum.DeltaR(recoMomentum) < deltaR)
           {
-             deltaR = genMomentum.DeltaR(recoMomentum);
-             bestGenMomentum = genMomentum;
+            deltaR = genMomentum.DeltaR(recoMomentum);
+            bestGenMomentum = genMomentum;
           }
         }
@@ -839,12 +826,12 @@
       if(deltaR < 0.3)
       {
-        pt  = bestGenMomentum.Pt();
+        pt = bestGenMomentum.Pt();
         eta = TMath::Abs(bestGenMomentum.Eta());
 
-        for (bin = 0; bin < Nbins; bin++)
+        for(bin = 0; bin < Nbins; bin++)
         {
           if(pt > histos->at(bin).ptmin && pt < histos->at(bin).ptmax && eta > etaMin && eta < etaMax)
           {
-            histos->at(bin).resolHist->Fill(recoMomentum.Pt()/bestGenMomentum.Pt());
+            histos->at(bin).resolHist->Fill(recoMomentum.Pt() / bestGenMomentum.Pt());
           }
         }
@@ -854,6 +841,5 @@
 }
 
-
-template<typename T>
+template <typename T>
 void GetEres(std::vector<resolPlot> *histos, TClonesArray *branchReco, TClonesArray *branchParticle, int pdgID, Double_t etaMin, Double_t etaMax, ExRootTreeReader *treeReader)
 {
@@ -863,5 +849,5 @@
 
   GenParticle *particle;
-  T* recoObj;
+  T *recoObj;
 
   TLorentzVector recoMomentum, genMomentum, bestGenMomentum;
@@ -879,17 +865,17 @@
     treeReader->ReadEntry(entry);
 
-     // Loop over all reconstructed jets in event
+    // Loop over all reconstructed jets in event
     for(i = 0; i < branchReco->GetEntriesFast(); ++i)
     {
-      recoObj = (T*) branchReco->At(i);
+      recoObj = (T *)branchReco->At(i);
       recoMomentum = recoObj->P4();
 
       deltaR = 999;
 
-     // Loop over all hard partons in event
-     for(j = 0; j < branchParticle->GetEntriesFast(); ++j)
-     {
-        particle = (GenParticle*) branchParticle->At(j);
-        if (particle->PID == pdgID && particle->Status == 1)
+      // Loop over all hard partons in event
+      for(j = 0; j < branchParticle->GetEntriesFast(); ++j)
+      {
+        particle = (GenParticle *)branchParticle->At(j);
+        if(particle->PID == pdgID && particle->Status == 1)
         {
           genMomentum = particle->P4();
@@ -902,6 +888,6 @@
           if(genMomentum.DeltaR(recoMomentum) < deltaR)
           {
-             deltaR = genMomentum.DeltaR(recoMomentum);
-             bestGenMomentum = genMomentum;
+            deltaR = genMomentum.DeltaR(recoMomentum);
+            bestGenMomentum = genMomentum;
           }
         }
@@ -910,12 +896,12 @@
       if(deltaR < 0.3)
       {
-        e  = bestGenMomentum.E();
+        e = bestGenMomentum.E();
         eta = TMath::Abs(bestGenMomentum.Eta());
 
-        for (bin = 0; bin < Nbins; bin++)
+        for(bin = 0; bin < Nbins; bin++)
         {
           if(e > histos->at(bin).ptmin && e < histos->at(bin).ptmax && eta > etaMin && eta < etaMax)
           {
-            histos->at(bin).resolHist->Fill(recoMomentum.E()/bestGenMomentum.E());
+            histos->at(bin).resolHist->Fill(recoMomentum.E() / bestGenMomentum.E());
           }
         }
@@ -925,6 +911,5 @@
 }
 
-
-template<typename T>
+template <typename T>
 void GetPtresVsEta(std::vector<resolPlot> *histos, TClonesArray *branchReco, TClonesArray *branchParticle, int pdgID, Double_t ptMin, Double_t ptMax, ExRootTreeReader *treeReader)
 {
@@ -934,5 +919,5 @@
 
   GenParticle *particle;
-  T* recoObj;
+  T *recoObj;
 
   TLorentzVector recoMomentum, genMomentum, bestGenMomentum;
@@ -953,14 +938,14 @@
     for(i = 0; i < branchReco->GetEntriesFast(); ++i)
     {
-      recoObj = (T*) branchReco->At(i);
+      recoObj = (T *)branchReco->At(i);
       recoMomentum = recoObj->P4();
 
       deltaR = 999;
 
-     // Loop over all hard partons in event
-     for(j = 0; j < branchParticle->GetEntriesFast(); ++j)
-     {
-        particle = (GenParticle*) branchParticle->At(j);
-        if (particle->PID == pdgID && particle->Status == 1)
+      // Loop over all hard partons in event
+      for(j = 0; j < branchParticle->GetEntriesFast(); ++j)
+      {
+        particle = (GenParticle *)branchParticle->At(j);
+        if(particle->PID == pdgID && particle->Status == 1)
         {
           genMomentum = particle->P4();
@@ -973,6 +958,6 @@
           if(genMomentum.DeltaR(recoMomentum) < deltaR)
           {
-             deltaR = genMomentum.DeltaR(recoMomentum);
-             bestGenMomentum = genMomentum;
+            deltaR = genMomentum.DeltaR(recoMomentum);
+            bestGenMomentum = genMomentum;
           }
         }
@@ -981,12 +966,12 @@
       if(deltaR < 0.3)
       {
-        pt  = bestGenMomentum.Pt();
+        pt = bestGenMomentum.Pt();
         eta = bestGenMomentum.Eta();
 
-        for (bin = 0; bin < Nbins; bin++)
+        for(bin = 0; bin < Nbins; bin++)
         {
           if(eta > histos->at(bin).etamin && eta < histos->at(bin).etamax && pt > ptMin && pt < ptMax)
           {
-             histos->at(bin).resolHist->Fill(recoMomentum.Pt()/bestGenMomentum.Pt());
+            histos->at(bin).resolHist->Fill(recoMomentum.Pt() / bestGenMomentum.Pt());
           }
         }
@@ -996,5 +981,5 @@
 }
 
-template<typename T>
+template <typename T>
 void GetEresVsEta(std::vector<resolPlot> *histos, TClonesArray *branchReco, TClonesArray *branchParticle, int pdgID, Double_t eMin, Double_t eMax, ExRootTreeReader *treeReader)
 {
@@ -1004,5 +989,5 @@
 
   GenParticle *particle;
-  T* recoObj;
+  T *recoObj;
 
   TLorentzVector recoMomentum, genMomentum, bestGenMomentum;
@@ -1023,14 +1008,14 @@
     for(i = 0; i < branchReco->GetEntriesFast(); ++i)
     {
-      recoObj = (T*) branchReco->At(i);
+      recoObj = (T *)branchReco->At(i);
       recoMomentum = recoObj->P4();
 
       deltaR = 999;
 
-     // Loop over all hard partons in event
-     for(j = 0; j < branchParticle->GetEntriesFast(); ++j)
-     {
-        particle = (GenParticle*) branchParticle->At(j);
-        if (particle->PID == pdgID && particle->Status == 1)
+      // Loop over all hard partons in event
+      for(j = 0; j < branchParticle->GetEntriesFast(); ++j)
+      {
+        particle = (GenParticle *)branchParticle->At(j);
+        if(particle->PID == pdgID && particle->Status == 1)
         {
           genMomentum = particle->P4();
@@ -1043,6 +1028,6 @@
           if(genMomentum.DeltaR(recoMomentum) < deltaR)
           {
-             deltaR = genMomentum.DeltaR(recoMomentum);
-             bestGenMomentum = genMomentum;
+            deltaR = genMomentum.DeltaR(recoMomentum);
+            bestGenMomentum = genMomentum;
           }
         }
@@ -1051,14 +1036,12 @@
       if(deltaR < 0.3)
       {
-        e  = bestGenMomentum.E();
+        e = bestGenMomentum.E();
         eta = bestGenMomentum.Eta();
 
-
-
-        for (bin = 0; bin < Nbins; bin++)
+        for(bin = 0; bin < Nbins; bin++)
         {
           if(eta > histos->at(bin).etamin && eta < histos->at(bin).etamax && e > eMin && e < eMax)
           {
-             histos->at(bin).resolHist->Fill(recoMomentum.E()/bestGenMomentum.E());
+            histos->at(bin).resolHist->Fill(recoMomentum.E() / bestGenMomentum.E());
           }
         }
@@ -1068,6 +1051,4 @@
 }
 
-
-
 void GetJetsEres(std::vector<resolPlot> *histos, TClonesArray *branchJet, TClonesArray *branchGenJet, ExRootTreeReader *treeReader, Double_t etaMin, Double_t etaMax)
 {
